/* --------------------------------------------------------------------*/
/*---------------------------------------------------------------------*/
/*  WAV_IO.H       Teemu Kilpelinen 20.10.2000					       */
/*   												          	       */  
/* --------------------------------------------------------------------*/
#ifndef WAV_IO_H
#define WAV_IO_H


#include "s2t_defs.h"

#ifdef __cplusplus
extern "C" {
#endif

int WaveReadTableSize(char* WaveFilename, int* BufferSize);

int WaveReadContents(char* WaveFilename, INT16* Buffer, int BufferSize,
					 int* Channels, int* SamplingRate, 
					 int* BitsPerSample, long* SamplesRead);

int WaveWrite(char* WaveFilename, INT16* Buffer, int Samples,
			  int Channels, int SamplingRate, int BitsPerSample);

int ReadSignal(char* in_file, SND_BUFFER* signal, SIGNAL_INFORMATION* signal_variables);

#ifdef __cplusplus
}
#endif

#endif /* WAV_IO.H */