/*
	  File name: pre_FFT.cpp
      Teemu Kilpelinen 17.6.2000
 
	  Tss on toteutettuna FFT:hen liittyvt asiat. Katso mys FFT.h.
	1. IsPowerOfTwo tarkastaa onko sytesampletaulukko kakkosen potenssi

	  


*/

#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include "ddcmath.h"
#include "FOURIER.H"

#define CHECKPOINTER(p)  CheckPointer(p,#p)


/* struct {
		double *RealIn,
		double *ImagIn,
		double *RealOut,
		double *ImagOut,
*/		

//1. Onko kakkosen potenssi. Paljonko tarvitaan nollia taulukkoon?
int IsPowerOfTwo(int frame_length_ind, int* nollia)
{
    int x = frame_length_ind;	
	
	printf("ennen %d\n", x);
	
	while (x & (x-1)){  
		x++;
	    }
	
	printf("%d\n", x);	
    printf("%d\n", nollia);
	*nollia = x - frame_length_ind;
	if (nollia) return 1;
	else return 0;
}

//2. Frameihin jako



/* int Frames_true_length(int frame_length_ms, int* nollia)
{
	
	int frame_length_ind;
	double ms; 
    

	printf("Starting FFT...\n");
	
	//millisekunnit sekunneiksi
	ms = (double)* frame_length_ms/1000;
	
	//framen pituus indeksein
	frame_length_ind = ms * 8000; 

	printf("frame's legnth in ms: %d\n", frame_length_ms);
    printf("framelength in sec: %f\n", ms);
	printf("framelength in frames: %d\n", frame_length_ind);
	
	IsPowerOfTwo((int)frame_length_ind, &nollia);
	printf("nollia: %i\n", nollia);

	//Vaihdetaan framen pituudeksi mahdollisilla nollilla listty mr
	frame_length_ind = (frame_length_ind + nollia);

 return 1;			
}
*/

static void CheckPointer ( void *p, char *name )
{
    if ( p == NULL )
    {
        fprintf ( stderr, "Error in fft_double():  %s == NULL\n", name );
        exit(1);
    }
}

/*

void fft_double(
    unsigned  NumSamples,
    int       InverseTransform,
    double   *RealIn,
    double   *ImagIn,
    double   *RealOut,
    double   *ImagOut,
	int      frame_legth_index;
	  )
{
    unsigned NumBits;    /* Tarvittavien bittien mr indeksien talletukseen 
    unsigned i, j, k, n;
    unsigned BlockSize, BlockEnd;

    double angle_numerator = 2.0 * DDC_PI;
    double tr, ti;     /* temp real, temp imaginary */

    /*if ( !IsPowerOfTwo(NumSamples) )
    {
        fprintf (
            stderr,
            "Error in fft():  NumSamples=%u is not power of two\n",
            NumSamples );

        exit(1);
    }
    *//*
    if ( InverseTransform )
        angle_numerator = -angle_numerator;

    CHECKPOINTER ( RealIn );
    CHECKPOINTER ( RealOut );
    CHECKPOINTER ( ImagOut );

    NumBits = NumberOfBitsNeeded ( NumSamples );

    /*
    **   Do simultaneous data copy and bit-reversal ordering into outputs...
    

    for ( i=0; i < NumSamples; i++ )
    {
        j = ReverseBits ( i, NumBits );
        RealOut[j] = RealIn[i];
        ImagOut[j] = (ImagIn == NULL) ? 0.0 : ImagIn[i];
    }

    /*
    **   Do the FFT itself...
    

    BlockEnd = 1;
    for ( BlockSize = 2; BlockSize <= NumSamples; BlockSize <<= 1 )
    {
        double delta_angle = angle_numerator / (double)BlockSize;
        double sm2 = sin ( -2 * delta_angle );
        double sm1 = sin ( -delta_angle );
        double cm2 = cos ( -2 * delta_angle );
        double cm1 = cos ( -delta_angle );
        double w = 2 * cm1;
        double ar[3], ai[3];
        double temp;

        for ( i=0; i < NumSamples; i += BlockSize )
        {
            ar[2] = cm2;
            ar[1] = cm1;

            ai[2] = sm2;
            ai[1] = sm1;

            for ( j=i, n=0; n < BlockEnd; j++, n++ )
            {
                ar[0] = w*ar[1] - ar[2];
                ar[2] = ar[1];
                ar[1] = ar[0];

                ai[0] = w*ai[1] - ai[2];
                ai[2] = ai[1];
                ai[1] = ai[0];

                k = j + BlockEnd;
                tr = ar[0]*RealOut[k] - ai[0]*ImagOut[k];
                ti = ar[0]*ImagOut[k] + ai[0]*RealOut[k];

                RealOut[k] = RealOut[j] - tr;
                ImagOut[k] = ImagOut[j] - ti;

                RealOut[j] += tr;
                ImagOut[j] += ti;
            }
        }

        BlockEnd = BlockSize;
    }

    /*
    **   Need to normalize if inverse transform...
    

    if ( InverseTransform )
    {
        double denom = (double)NumSamples;

        for ( i=0; i < NumSamples; i++ )
        {
            RealOut[i] /= denom;
            ImagOut[i] /= denom;
        }
    }
}


/*--- end of file fourierd.c ---*/
