/* --------------------------------------------------------------------*/
/*  PREPROCESS.H       Teemu Kilpelinen 20.10.2000					   */
/*   												          	       */  
/* --------------------------------------------------------------------*/

#ifndef PREPROCESS_H
#define PREPROCESS_H

#include <s2t_defs.h>

#ifdef __cplusplus
extern "C" {
#endif

void DCRemove(SND_BUFFER signal, int count_of_samples);		  

void HighEmphasisFilter(SND_BUFFER signal, int count_of_samples, float high_emph_coeff);

void WindowCoefficients(FLOAT_ARRAY window_function, int window_type, int window_length);

void PreProcess(FLOAT_ARRAY* window_function, SND_BUFFER signal, FRAME_INFORMATION* frame_variables, 
				SIGNAL_INFORMATION* signal_variables, USER_PARAMETERS* user_params);

#ifdef __cplusplus
};
#endif

#endif /* PREPROCESS.H */