// Reading wav-file PCM data to an integer array
//
// Teemu Kilpelinen 20.6.2000
//
// Thanks to Ismo Krkkinen and Tomi Kinnunen for wave reading functions!


#include <stdio.h>
#include <stdlib.h>

#include <windows.h>
#define MAX_BUFFER_LENGTH 65536
#define  FACTFILE  "spident.fac"
#include "waveread.h"
//#include "SV_feature_extract.h"
#include "FOURIER.H"
#include "ddcmath.h"

#include "MEMCTRL.H"
#include "parametr.c"
//#include "spident.fac"


#define	frame_length 30

main(){

INT16 *bufferi_int;
double *bufferi_doub; 
double *bufferi_doub2; 
int nollia = 0;
int kanava_maara;
int samplaus_rate;
int bitteja_sample;
int frame_length_ms = frame_length;
long sampleja_luettu;
int wave_table_size;
int error_code;



char fname[]="h11.wav";
 

// Luetaan .wav -tiedoston koko
error_code = WaveReadTableSize(fname, &wave_table_size);

//int InBuffer[MAX_BUFFER_LENGTH];
//printf("Hello World.\n");

printf("\n");	
printf("Lenght of buffer: %i\n",wave_table_size);

//muistinvaraus INT16-taulukolle
bufferi_int =  allocate(sizeof(INT16) * wave_table_size);


/* Luetaan .wav tiedosto INT16-taulukkoon ja samalla saadaan selville muut yksityiskohdat
.wavista, esim. sampling rate, bits per sample...  */

error_code = WaveReadContents(fname, bufferi_int, wave_table_size, &kanava_maara, &samplaus_rate,
						 &bitteja_sample, &sampleja_luettu);

//muistinvaraus double-taulukolle
bufferi_doub = allocate(sizeof(double) * sampleja_luettu);

//Parametrien lukeminen





//PRE_FFT ALKAA

//Downsamplaus ?Hz -> 8000Hz

		
//muutetaan luetut arvot double-muotoisiksi 
error_code = int16_to_double(bufferi_int, bufferi_doub, sampleja_luettu);

//poistetaan INT16-taulukon muistinvaraus
deallocate(bufferi_int);

//poistetaan signaalista DC-komponentti
error_code = DC_poisto(bufferi_doub, sampleja_luettu);

//muistinvaraus double-taulukolle
bufferi_doub2 = allocate(sizeof(double) * sampleja_luettu);
error_code = ylipaasto(bufferi_doub, bufferi_doub2, sampleja_luettu);

//poistetaan double-taulukon muistinvaraus
deallocate(bufferi_doub2);


//FFT ALKAA

//Sampletaulukon jako frameihin
//error_code = Frames_true_length(frame_length_ms, &nollia);


//Muistin varaaminen framelle (uusi frame kopioidaan aina entisen plle
//FFT:n suorituksen jlkeen
//frame = allocate(sizeof(double) * frame_length_ms);

//Onko samplejen mr kakkosen potenssi?
//if (IsPowerOfTwo(sampleja_luettu, &nollia))
//varataan tilaa nollille, jos tarvittiin nollia
//bufferi_doub = allocate(sizeof(double) * nollia);



//fft_double(



//poistetaan double-taulukon muistinvaraus
deallocate(bufferi_doub);

printf("\nthe end of the program\n");

return 0;
}